{
  "schema_version": 2,
  "id": "operate/rs/references/rest-api/requests/debuginfo/node/bdb",
  "title": "Current node database debug info requests",
  "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/requests/debuginfo/node/bdb/",
  "summary": "Documents the Redis Software REST API debuginfo/node/bdb requests.",
  "tags": [
    "docs",
    "operate",
    "rs"
  ],
  "last_updated": "2026-01-30T12:29:26-06:00",
  "page_type": "content",
  "content_hash": "77f3a45e98f530c42dbad296d344defb2911a4fc30cfe9a7996cd1a497ce6ebe",
  "sections": [
    {
      "id": "overview",
      "title": "Overview",
      "role": "overview",
      "text": "This REST API path is deprecated as of Redis Software version 7.4.2. Use the new path [`/v1/bdbs/debuginfo`](https://redis.io/docs/latest/operate/rs/references/rest-api/requests/bdbs/debuginfo) instead.\n\n\n| Method | Path | Description |\n|--------|------|-------------|\n| [GET](#get-debuginfo-node-bdb) | `/v1/debuginfo/node/bdb/{bdb_uid}` | Get debug info for the current node regarding a specific database |"
    },
    {
      "id": "get-debuginfo-node-bdb",
      "title": "Get database debug info for current node",
      "role": "content",
      "text": "GET /v1/debuginfo/node/bdb/{int: bdb_uid}\n\nDownloads a tar file that contains debug info for the specified database (`bdb_uid`) from the current node.\n\n#### Required permissions\n\n| Permission name |\n|-----------------|\n| [view_debugging_info](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#view_debugging_info) |"
    },
    {
      "id": "get-request",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n\tGET /v1/debuginfo/node/bdb/1"
    },
    {
      "id": "get-response",
      "title": "Response",
      "role": "returns",
      "text": "Downloads the debug info in a tar file called `filename.tar.gz`. Extract the files from the tar file to access the debug info.\n\n#### Response headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Content-Type | application/x-gzip | Media type of request/response body |\n| Content-Length | 653350 | Length of the response body in octets |\n| Content-Disposition | attachment; filename=debuginfo.tar.gz | Display response in browser"
    },
    {
      "id": "get-status-codes",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | Success. |\n| [500 Internal Server Error](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.5.1) | Failed to get debug info. |"
    }
  ],
  "examples": []
}
